> ## Documentation Index
> Fetch the complete documentation index at: https://docs.givebutter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a fund



## OpenAPI

````yaml https://givebutter.com/docs/api.json put /v1/funds/{fund}
openapi: 3.1.0
info:
  title: Givebutter API Documentation
  version: 1.0.0
  description: >-
    Givebutter Public API - Access and manage your campaigns, contacts,
    transactions, and more.
servers:
  - url: https://api.givebutter.com/
security:
  - http: []
paths:
  /v1/funds/{fund}:
    put:
      tags:
        - Funds
      summary: Update a fund
      operationId: funds.update
      parameters:
        - name: fund
          in: path
          required: true
          description: The fund fid
          schema:
            type:
              - string
              - 'null'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 255
                code:
                  type:
                    - string
                    - 'null'
                  maxLength: 255
              required:
                - name
      responses:
        '200':
          description: '`FundResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FundResource'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    FundResource:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
        code:
          type:
            - string
            - 'null'
        name:
          type: string
        raised:
          type: number
        supporters:
          type: integer
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - code
        - name
        - raised
        - supporters
        - created_at
        - updated_at
      title: FundResource
  responses:
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer

````